Fundiin 1.2.5

Does Fundiin work with WordPress 5.7.1 and PHP 7.4.8? A smoke test was performed on .

Summary

Errors
1PHP fatal errors
2PHP notices
No JavaScript exceptions
1Page failed to load
  • 1 500 Internal Server Error
No resource errors
Performance

No data available.

Environment
WordPress version5.7.1
PHP version7.4.8
MySQL version8.0.21
PHP memory limit256M
Plugin Info
Last updated
Active installs <10
WordPress.org page https://wordpress.org/plugins/fundiin/
Badges

WordPress compatibility badge PHP compatibility badge

Get badge code

Pages 1

WordPress › Error

Page screenshot: WordPress › Error
URL /wp-admin/plugins.php?activate=true&plugin_status=all&paged=1&s=
Requested URL /wp-admin/plugins.php?action=activate&plugin=fundiin%2Ffundiin.php&plugin_status=all&paged=1&s&_wpnonce=b64d8750c5
Aspect after-activation
HTTP status 500
Load time 0.174 s
Memory usage N/A
JS errors None
Resource errors None

Benchmark

No benchmark data available.

Code Statistics

Note: Third-party libraries and minified JS/CSS files are excluded from these statistics where possible, so the numbers you see here may be lower than those reported by other tools.

PHP
Language % Lines of code Comment lines Files
PHP89.0%6001005
CSS7.9%5311
SVG2.7%1811
JavaScript0.4%361
Total 674 108 8

PHP Code Analysis | More results »

Lines of code 600
Total complexity 83
Median class complexity 10.0
Median method complexity 2.0
Most complex class WC_Fundiin_Payment_Gateway
Most complex function init_fundiin_gateway_class()
Classes 2
Methods 10
Functions 22

Additions

No data available.

PHP Error Log 14 lines

[11-May-2021 03:36:27 UTC] PHP Fatal error:  Uncaught Error: Class 'WC_Payment_Gateway' not found in /wp-content/plugins/fundiin/fundiin.php:37
Stack trace:
#0 /wp-includes/class-wp-hook.php(292): init_fundiin_gateway_class()
#1 /wp-includes/class-wp-hook.php(316): WP_Hook->apply_filters()
#2 /wp-includes/plugin.php(484): WP_Hook->do_action()
#3 /wp-settings.php(423): do_action()
#4 /wp-config.php(109): require_once('/opt/bitnami/ap...')
#5 /wp-load.php(37): require_once('/opt/bitnami/ap...')
#6 /wp-admin/admin.php(34): require_once('/opt/bitnami/ap...')
#7 /wp-admin/plugins.php(10): require_once('/opt/bitnami/ap...')
#8 {main}
  thrown in /wp-content/plugins/fundiin/fundiin.php on line 37
[11-May-2021 03:36:27 UTC] PHP Notice:  is_embed was called <strong>incorrectly</strong>. Conditional query tags do not work before the query is run. Before then, they always return false. Please see <a href="https://wordpress.org/support/article/debugging-in-wordpress/">Debugging in WordPress</a> for more information. (This message was added in version 3.1.0.) in /wp-includes/functions.php on line 5313
[11-May-2021 03:36:27 UTC] PHP Notice:  is_search was called <strong>incorrectly</strong>. Conditional query tags do not work before the query is run. Before then, they always return false. Please see <a href="https://wordpress.org/support/article/debugging-in-wordpress/">Debugging in WordPress</a> for more information. (This message was added in version 3.1.0.) in /wp-includes/functions.php on line 5313
See also: All tests for this plugin